.main {
  background: linear-gradient(
    180deg,
    rgba(243, 250, 248, 0.5) 0%,
    #ffffff 100%
  );
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  flex-wrap: wrap;
  overflow-x: hidden;
}

.content {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  transform: translate(0, -139px);
  align-items: center;
}

.carousel {
  width: 100%;
  min-width: 1200px;
  display: flex;
  justify-content: center;
  height: 960px;
  background-color: #090c10;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}

.carousel-content {
  z-index: 100;
  display: flex;
  justify-content: center;
  align-self: center;
  flex-wrap: wrap;
}

.carousel-content > h1 {
  font-weight: 600;
  font-size: 56px;
  color: #ffffff;
  line-height: 64px;
  text-align: center;
  font-style: normal;
  display: block;
  width: 100%;
  margin: 0;
  margin-bottom: 55px;
}

.carousel-content > h1 > br {
  display: none;
}

.carousel-content > div {
  font-weight: 400;
  font-size: 30px;
  color: #ffffff;
  line-height: 42px;
  text-align: center;
  font-style: normal;
  margin-bottom: 43px;
}

.carousel-content > div > div {
  display: inline-block;
  border-radius: 8px;
  border: 2px solid #ffffff;
  padding: 3px 20px;
}

.carousel-content > span {
  display: block;
  font-weight: 400;
  font-size: 30px;
  color: #ffffff;
  line-height: 38px;
  text-align: center;
  font-style: normal;
  width: 100%;
}

.carousel > img {
  position: absolute;
  z-index: 1;
}

.introduce {
  height: 440px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.introduce > h2 {
  font-weight: 600;
  font-size: 56px;
  color: #1e1e1e;
  line-height: 78px;
  text-align: center;
  font-style: normal;
}

.introduce > h2 > span {
  color: rgba(0, 85, 255, 0.88);
}

.introduce > span {
  font-weight: 400;
  font-size: 24px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 32px;
  text-align: center;
  font-style: normal;
}

.main .production {
  width: 1520px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  margin-bottom: 176px;
}

.main .production .card {
  width: 748px;
  height: 388px;
  padding: 69px 70px 40px 70px;
  margin-bottom: 24px;
  position: relative;
  background: url('/static/images/home/card.png');
}
.main .production .card.dark {
  background: url('/static/images/home/dark-card.png');
}

.main .production .card.dark > h2 {
  font-weight: bold;
  font-size: 38px;
  color: #ffffff;
  line-height: 46px;
  text-align: left;
  font-style: normal;
  margin: 0;
  margin-bottom: 16px;
}

.card-img {
  position: absolute;
  top: 85px;
  right: 120px;
}

.main .production .card.dark > span {
  font-weight: 400;
  font-size: 24px;
  color: #ffffff;
  line-height: 32px;
  text-align: left;
  font-style: normal;
}

.main .production .card > h2 {
  font-weight: bold;
  font-size: 38px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 46px;
  text-align: left;
  font-style: normal;
  margin: 0;
  margin-bottom: 16px;
}

.main .production .card > span {
  font-weight: 400;
  font-size: 24px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 32px;
  text-align: left;
  font-style: normal;
  margin: 0;
  display: block;
}

.main .production .card.dark > a {
  font-weight: 400;
  font-size: 20px;
  color: rgba(255, 255, 255, 0.88);
  line-height: 28px;
  text-align: left;
  font-style: normal;
  border: 1px solid #ffffff;
}

.main .production .card > a {
  position: absolute;
  cursor: pointer;
  bottom: 40px;
  width: 128px;
  height: 48px;
  font-weight: 400;
  font-size: 20px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 28px;
  font-style: normal;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid #000000;
}

.aboutus-container {
  height: 1336px;
  padding: 200px 0;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #ffffff;
}

.aboutus {
  width: 1720px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.aboutus > h2 {
  width: 100%;
  font-weight: 600;
  font-size: 56px;
  color: #000000;
  line-height: 78px;
  text-align: center;
  font-style: normal;
  margin: 0;
  margin-bottom: 120px;
}

.aboutus .aboutus-content {
  width: 747px;
  height: 390px;
  font-weight: 400;
  font-size: 20px;
  color: #000000;
  line-height: 40px;
  text-align: justify;
  font-style: normal;
  display: flex;
  justify-content: flex-start;
  align-items: baseline;
  flex-wrap: wrap;
}

.aboutus-content > h3 {
  font-weight: 500;
  font-size: 30px;
  color: #000000;
  line-height: 38px;
  text-align: left;
  font-style: normal;
  margin: 0;

  width: 100%;
}

.aboutus .divider {
  height: 4px;
  width: 53px;
  background: linear-gradient(to right, #0055ff 50%, #00cec6 50%);
  border: none;
  margin: 30px 0;
}

.aboutus-content > span {
  font-weight: 400;
  font-size: 20px;
  color: #000000;
  line-height: 40px;
  text-align: justify;
  font-style: normal;
}

.aboutus .aboutus-img {
  width: 820px;
  height: 390px;
}

.aboutus-data {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 120px;
}

.aboutus-data > div {
  width: 171px;
  height: 228px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-wrap: wrap;
  position: relative;
}

.aboutus-data > div:not(:last-child)::after {
  content: '';
  width: 1px;
  height: 138px;
  background-color: #e5e5e5;
  position: absolute;
  right: -150px;
}

.aboutus-data > div > img {
  width: 64px;
  height: 64px;
}

.aboutus-data > div > h3 {
  width: 100%;
  font-weight: 600;
  font-size: 68px;
  color: #0055ff;
  line-height: 93px;
  text-align: left;
  font-style: normal;
  margin: 0;
}

.aboutus-data > div > span {
  font-weight: 400;
  font-size: 20px;
  color: rgba(0, 0, 0, 0.45);
  line-height: 28px;
  text-align: center;
  font-style: normal;
}

.news {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 200px 0;
}

.news > h2 {
  font-weight: 600;
  font-size: 56px;
  color: #000000;
  line-height: 78px;
  text-align: center;
  font-style: normal;
  margin: 0;
  margin-bottom: 120px;
}

.news-content {
  width: 1520px;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
}

.news-category {
  margin-bottom: 81px;
}

.news-category > ul,
.news-category > ul > li,
.news-category > ul > li > a {
  list-style: none;
}

.news-category > ul {
  display: flex;
  flex-flow: row nowrap;
  font-weight: 400 !important;
  font-size: 38px;
  color: #000000;
  line-height: 46px;
  text-align: center;
  font-style: normal;
  width: 384px;
  justify-content: space-between;
  align-items: center;
  padding-left: 0;
  border-bottom: #eaeaea 2px solid;
}

.news-category > ul > li {
  cursor: pointer;
  position: relative;
  padding: 0 0 25px 0;
}

.category-item::after {
  content: '';
  z-index: 100;
  position: absolute;
  bottom: -2px;
  height: 4px;
  width: 0;
  left: 50%;
  background-color: #1c61ea;
}

.category-item.active::after {
  content: '';
  z-index: 100;
  position: absolute;
  bottom: -2px;
  height: 4px;
  width: 152px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #1c61ea;
  transition: all 0.3s ease;
}
/* .news-category > ul > li:hover::after {
  width: 152px;
} */

.news-item {
  width: 1520px;
  height: 314px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 120px;
  display: none;
}

.news-item.display {
  display: inline-flex;
}

.news-item .item-img {
  width: 426px;
  height: 314px;
  margin-right: 88px;
  object-fit: cover;
}

.news-item .item-content {
  width: 1002px;
  height: 100%;
  position: relative;
}

.news-item .item-date {
  width: 100%;
  font-weight: 400;
  font-size: 20px;
  color: rgba(0, 0, 0, 0.45);
  line-height: 28px;
  text-align: left;
  font-style: normal;
  margin-bottom: 32px;
}

.news-item .item-title {
  width: 100%;
  font-weight: 500;
  font-weight: bold;
  font-size: 30px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 50px;
  text-align: left;
  margin: 0 0 16px 0;
  font-style: normal;
}

.news-item .item-title > a:hover {
  color: var(--primary-color);
}

.news-item .item-desc {
  font-weight: 400;
  font-size: 20px;
  color: rgba(0, 0, 0, 0.45);
  line-height: 40px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
  overflow: hidden;
}

.news-item .learn-more {
  cursor: pointer;
  font-weight: 400;
  font-size: 20px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 28px;
  text-align: left;
  font-style: normal;
  position: absolute;
  bottom: 0;
}

.learn-more > div {
  display: inline-block;
  width: 33px;
  height: 14px;
  background: url('/static/images/news/arrow.svg');
}

.learn-more:hover > div {
  display: inline-block;
  width: 33px;
  height: 14px;
  background: url('/static/images/news/arrow-act.svg');
}

.news-item .learn-more:hover {
  color: var(--primary-color);
}

.contact {
  background: #ffffff;
  padding: 200px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.contact > h2 {
  font-weight: 600;
  font-size: 56px;
  color: #000000;
  line-height: 78px;
  text-align: center;
  font-style: normal;
  margin: 0;
  margin-bottom: 120px;
}

.contact-content {
  width: 1502px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.info-list {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.info-list > div {
  height: 194px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  position: relative;
  margin: 0 100px;
}

.info-list > div::before {
  content: '';
  width: 1px;
  height: 199px;
  position: absolute;
  left: -100px;
  background-color: #e5e5e5;
}

.info-list > div:last-child::after {
  content: '';
  width: 1px;
  height: 199px;
  position: absolute;
  right: -100px;
  background-color: #e5e5e5;
}

.info-list > div > div {
  width: 56px;
  height: 56px;
  border-radius: 50%;
  background-color: #0055ff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.info-list > div > div > img {
  width: 20px;
  height: 20px;
}

.info-list > div > h4 {
  font-weight: 400;
  font-size: 24px;
  color: rgba(0, 0, 0, 0.45);
  line-height: 33px;
  text-align: left;
  font-style: normal;
}

.info-list > div > span {
  font-weight: 400;
  font-size: 24px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 33px;
  text-align: left;
  font-style: normal;
}

.base-list {
  width: 100%;
  margin-top: 88px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.base-list > div {
  width: 490px;
  height: 482px;
  border: solid 1px #e5e5e5;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
}

.base-list > div > img {
  width: 100%;
  height: 264px;
  object-fit: cover;
}

.address-container {
  padding: 46px 40px;
  display: flex;
  justify-content: start;
  align-items: center;
  flex-wrap: wrap;
}

.address-container > h4 {
  margin: 0;
  width: 100%;
  font-weight: 500;
  font-size: 30px;
  color: rgba(0, 0, 0, 0.88);
  line-height: 42px;
  text-align: left;
  font-style: normal;
  margin-bottom: 16px;
}

.detail-address {
  font-weight: 400;
  font-size: 24px;
  color: rgba(0, 0, 0, 0.45);
  line-height: 33px;
  text-align: left;
  font-style: normal;
  display: flex;
  justify-content: space-evenly;
  align-items: start;
}

.detail-address > img {
  width: 20px;
  height: 20px;
  margin-right: 8px;
  margin-top: 4px;
}

@media screen and (max-width: 768px) {
  .main {
    display: flex;
    align-items: center;
  }
  .carousel {
    width: 100%;
    min-width: 100%;
    aspect-ratio: 2/1;
    height: auto;
    align-items: start;
  }

  .carousel > img {
    width: 100%;
    aspect-ratio: 2/1;
  }

  .carousel-content > h1 {
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    margin-bottom: 12px;
    white-space: pre;
  }

  .carousel-content > div {
    font-weight: 400;
    font-size: 8px;
    line-height: 11px;
    margin-bottom: 10px;
  }

  .carousel-content > h1 > br {
    display: block;
  }

  .carousel-content > div > div {
    border-radius: 2px;
    border: 1px solid #ffffff;
    padding: 1px 5px;
  }

  .carousel-content > span {
    font-weight: 400;
    font-size: 8px;
    line-height: 8px;
  }

  .introduce {
    height: fit-content;
    margin: 48px 0 32px 0;
  }

  .introduce > h2 {
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    margin: 0;
  }

  .introduce > span {
    font-weight: 400;
    font-size: 10px;
    color: rgba(0, 0, 0, 0.88);
    line-height: 18px;
    text-align: center;
    font-style: normal;
  }

  .main .production {
    width: 100%;
    padding: 0 16px;
    margin-bottom: 0;
  }

  .main .production .card {
    height: 149px;
    padding: 20px 24px 24px 24px;
  }

  .main .production .card.dark > h2 {
    margin: 0;
    font-size: 16px;
    line-height: 24px;
  }

  .main .production .card.dark > span {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
  }

  .main .production .card > h2 {
    margin: 0;
    font-size: 16px;
    line-height: 24px;
  }

  .main .production .card > span {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
  }

  .main .production .card.dark > a {
    width: 72px;
    height: 24px;
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
  }

  .main .production .card > a {
    width: 72px;
    height: 24px;
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    bottom: 20px;
  }

  .card-img {
    display: block;
    transform: scale(0.5);
    height: auto;
    top: -20%;
    right: -5%;
  }

  .card-img.sp {
    right: 23px;
  }

  .main .aboutus-container {
    width: 100%;
    height: auto;
    padding: 48px 16px;
  }

  .aboutus {
    width: 100%;
  }

  .aboutus > h2 {
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 32px;
  }

  .aboutus .aboutus-content {
    width: 100%;
    height: auto;
  }

  .aboutus-content > h3 {
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
  }

  .aboutus .divider {
    width: 64px;
    margin: 16px 0;
  }

  .aboutus-content > span {
    font-weight: 400;
    font-size: 12px;
    line-height: 22px;
  }

  .aboutus .aboutus-img {
    width: 100%;
    height: auto;
    margin-top: 10px;
  }

  .news {
    padding: 48px 16px;
  }

  .news > h2 {
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 32px;
  }

  .news-content {
    width: 100%;
    justify-content: center;
  }

  .news-category {
    margin-bottom: 24px;
  }

  .news-category > ul {
    width: 144px;
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
  }

  .news-category > ul > li {
    padding: 0 0 8px 0;
  }

  .category-item.active::after {
    width: 56px;
  }

  .news-item {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin-bottom: 49px;
    display: none;
  }

  .news-item .item-img {
    width: 100%;
    height: auto;
    margin: 0;
  }

  .news-item .item-content {
    width: 100%;
    height: auto;
  }

  .news-item .item-date {
    font-weight: 400;
    font-size: 12px;
    line-height: 24px;
    margin-bottom: 8px;
  }

  .news-item .item-title {
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
    margin: 0;
  }

  .news-item .item-desc {
    font-weight: 400;
    font-size: 12px;
    color: rgba(0, 0, 0, 0.45);
    line-height: 22px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    margin: 0;
  }

  .news-item .learn-more {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    bottom: -30px;
  }

  .learn-more > div {
    width: 16px;
    height: 9px;
    background-size: 16px 9px;
  }

  .contact {
    padding: 48px 16px;
  }

  .contact > h2 {
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 32px;
  }

  .contact-content {
    width: 100%;
  }

  .info-list {
    flex-wrap: wrap;
  }

  .info-list > div {
    width: 50%;
    height: 40px;
    display: inline-block;
    position: relative;
    margin: 0;
    margin-bottom: 24px;
  }

  .info-list > div::before {
    height: 40px;
    left: -5%;
  }

  .info-list > div > div {
    width: 24px;
    height: 24px;
    flex-shrink: 0;
    position: absolute;
    left: 15%;
  }

  .info-list > div > div > img {
    width: 10px;
    height: 10px;
  }

  .info-list > div > h4 {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    position: absolute;
    margin: 0;
    top: -5px;
    left: calc(15% + 35px);
  }

  .info-list > div > span {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
    position: absolute;
    top: 8px;
    left: calc(15% + 35px);
  }

  .base-list {
    margin-top: 24px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .base-list > div {
    width: 100%;
    height: auto;
  }

  .address-container {
    padding: 14px 16px;
  }

  .address-container > h4 {
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
    margin-bottom: 0;
  }

  .detail-address {
    font-weight: 400;
    font-size: 12px;
    line-height: 20px;
  }

  .detail-address > img {
    width: 10px;
    height: 14px;
    margin-right: 4px;
  }
}

@media screen and (max-width: 1600px) and (min-width: 768px) {
  .main .production .card.dark > h2 {
    font-size: 48px;
  }
  .main .production .card > h2 {
    font-size: 48px;
  }

  .main .production .card.dark > span {
    font-size: 30px;
  }
  .main .production .card > span {
    font-size: 30px;
  }

  .main .production .card.dark > a {
    font-size: 24px;
  }
  .main .production .card > a {
    font-size: 24px;
  }

  .aboutus-content > span {
    font-size: 26px;
  }

  .introduce > span {
    font-size: 30px;
  }

  .aboutus .aboutus-img {
    height: 500px;
  }

  .news-item .item-date {
    font-size: 30px;
  }

  .news-item .item-title {
    font-size: 42px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
  }

  .news-item .item-desc {
    font-size: 30px;
  }

  .news-item .learn-more {
    font-size: 30px;
  }

  .info-list > div > h4 {
    font-size: 30px;
  }

  .info-list > div > span {
    font-size: 30px;
  }

  .address-container > h4 {
    font-size: 34px;
  }

  .info-list > div {
    margin: 0 80px;
  }

  .detail-address {
    font-size: 28px;
  }
}
